/*
 * @file
 * Overrides to PrismJS's theme.
 */

pre[class][class*="language-"] {
  display: block;
  overflow: auto;
  margin-inline: var(--container-break-negative-margin);
  margin-block: var(--spacing-xl);
  padding: var(--spacing-xs);
  color: var(--theme-text-color-medium);
  font-size: var(--body-m-size);
  border: none;
  border-radius: 0;
  box-shadow: none;

  ::selection {
    background-color: var(--theme-text-color-primary);
    color: var(--theme-surface-alt);
  }

  code {
    margin-block: 0;
    padding-top: 0;
  }
}
